{%- if pillar.get('runtest',{}).get('openstack_version') not in ('stable/mitaka', 'stable/newton') -%}
{%- set volume_type_name = 'TestVolumeType' %}

cinderv3_volume_type_present:
  cinderv3.volume_type_present:
  - name: {{ volume_type_name }}
  - cloud_name: admin_identity

cinderv3_volume_type_key_present:
  cinderv3.volume_type_key_present:
  - name: {{ volume_type_name }}
  - key: key1
  - value: val1
  - cloud_name: admin_identity

cinderv3_volume_type_absent:
  cinderv3.volume_type_absent:
  - name: {{ volume_type_name }}
  - cloud_name: admin_identity

{%- endif -%}
